{% comment %}

Source:
https://github.com/mmistakes/so-simple-theme/blob/master/_includes/open-graph.html

A liquid tuple would be nice,
but liquid is only a template after all.

{% endcomment %}

{% capture spaceless %}
  <!-- image -->
  {% if page.opengraph.image %}
    {% assign ogimage = page.opengraph.image %}
  {% elsif layout.opengraph.image %}
    {% assign ogimage = layout.opengraph.image %}
  {% else %}
    {% assign ogimage = site.logo %}
  {% endif %}

  <!-- fix -->
  {% unless ogimage contains "http://" or ogimage contains "https://" %}
    {% assign ogimage = ogimage | prepend: site.baseurl | prepend: site.url %}
  {% endunless %}  
  {% assign ogtitle = (page.title | default: site.title) | escape %}
  {% assign ogurl   = page.url 
                    | replace:'index.html',''
                    | prepend: site.baseurl
                    | prepend: site.url %}

{% endcapture %}

  {% comment %}<!-- Open Graph -->{% endcomment %}
  <meta property="og:locale"       content="{{ site.locale }}">
  <meta property="og:type"         content="article">
  <meta property="og:title"        content="{{ ogtitle }}">
  <meta property="og:description"  content="{{ description }}">
  <meta property="og:url"          content="{{ ogurl }}">
  <meta property="og:site_name"    content="{{ site.title }}">
  <meta property="og:image"        content="{{ ogimage }}">
  <meta property="og:latitude"     content="-6.193665"/>
  <meta property="og:longitude"    content="106.848558"/>
  <meta property="og:locality"     content="Jakarta"/>
  <meta property="og:country-name" content="Indonesia"/>
